Prepare the first evaluation tool for a customer
curl --request POST \
--url https://clientapi.woku.app/v1/journey-entries/{journeyId} \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"phone": "56912345678",
"reference": "<string>"
}
'import requests
url = "https://clientapi.woku.app/v1/journey-entries/{journeyId}"
payload = {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"phone": "56912345678",
"reference": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
email: 'jsmith@example.com',
phone: '56912345678',
reference: '<string>'
})
};
fetch('https://clientapi.woku.app/v1/journey-entries/{journeyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companyId": "<string>",
"tool": "woku",
"toolId": "<string>",
"token": "<string>",
"subjectKey": "<string>"
}journey entries
Prepare the first evaluation tool for a customer
Public customer endpoint. Returns the tool and an opaque response token; does not start the journey or send invitations.
POST
/
v1
/
journey-entries
/
{journeyId}
Prepare the first evaluation tool for a customer
Path Parameters
Body
application/json